% !TeX root = ./Essay_Group_4_Assignment_2_Gimenez_Andreu_OpenCL.tex
\documentclass[a4paper]{IEEEtran}

%% Import additional packages and header definitions
% For the LaTex newbies, \input let's you introduce a .tex file as if it were
% part of the current file
\input{src/packages}


%% Macros and colour definitions.
\input{src/macros.tex}
\input{src/colors.tex}

% *****************************************************************************
%                     Report configuration: Tweak this
% *****************************************************************************
%% Developer and debug options
% \overfullrule=5pt % Un-comment this to show a black bar by overfull hboxes.

%% Bibliography
% Be careful with reference files list, always avoid blanks!
\addbibresource{bibliography/references.bib}

\newcommand\repo{https://gitlab.com/jemaro/concurrent-computing-in-robotics/OpenCL-example}
\newcommand\repotree{\repo/-/tree/main}
\newcommand\repoblob{\repo/-/blob/main}

%% Title parameters
\title{OpenCL}
\author{
  Gimenez Bolinches, Andreu \\
  \textit{esdandreu@gmail.com} \\
}

\begin{document}
% *****************************************************************************
%                              Front Page
% *****************************************************************************
\hypersetup{linkcolor=black}
\maketitle

\IfFileExists{./abstract.tex}{
    \begin{abstract}\input{abstract}\end{abstract}
}

% *****************************************************************************
%                              Main Content
% *****************************************************************************
\hypersetup{linkcolor=documentLinkColor}
\input{content.tex}

% *****************************************************************************
%                              Bibliography
% *****************************************************************************
\bibliographystyle{IEEEtran}  
\printbibliography[%
    % heading=bibintoc,%
    title={References}%
]

% *****************************************************************************
%                              Appendices
% *****************************************************************************
\IfFileExists{./appendices.tex}{
    \appendices
    \include{appendices}
    \clearpage
}

\end{document}